#
# spec file for package linuxconsoletools
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           linuxconsoletools
Version:        1.5.1
Release:        bp153.1.19
Summary:        A set of utilities for joysticks
License:        GPL-2.0+
Group:          Hardware/Joystick
Url:            http://sourceforge.net/projects/linuxconsole/
Source0:        http://sourceforge.net/projects/linuxconsole/files/%{name}-%{version}.tar.bz2
BuildRequires:  libSDL-devel
BuildRequires:  linux-kernel-headers
BuildRequires:  pkgconfig
BuildRequires:  systemd-devel
BuildRequires:  udev
# moved in 13.2
Provides:       input-utils = 2007.06.22
Obsoletes:      input-utils <= 2007.06.22

%description
This package contains the following utilities and associated
documentation:
* joystick utilities - calibrate and test joysticks and joypads

The following utilities are provided to calibrate and test joysticks:
* ffcfstress, ffmvforce, fftest - test force-feedback devices
* ffset - set force-feedback device parameters
* jscal - calibrate joystick devices, reconfigure the axes and buttons
* jscal-store, jscal-restore - store and retrieve joystick device
  settings as configured using jscal
* jstest - test joystick devices

%prep
%setup -q

%build
make %{?_smp_mflags} \
    CFLAGS="%{optflags}" \
    PREFIX=%{_prefix} \
    SYSTEMD_SUPPORT=1

%install
make %{?_smp_mflags} \
    DESTDIR=%{buildroot} \
    PREFIX=%{_prefix} \
    install
# fix permissions
chmod 644 %{buildroot}%{_mandir}/man1/*
chmod 644 %{buildroot}/lib/udev/rules.d/80-stelladaptor-joystick.rules
# Fix udev dirs
mkdir -p %{buildroot}%{_libexecdir}/udev
mv %{buildroot}/lib/udev/js-set-enum-leds %{buildroot}%{_libexecdir}/udev/js-set-enum-leds
mkdir -p %{buildroot}%{_udevrulesdir}
mv %{buildroot}/lib/udev/rules.d/80-stelladaptor-joystick.rules %{buildroot}%{_udevrulesdir}/80-stelladaptor-joystick.rules
rm %{buildroot}/%{_bindir}/inputattach \
   %{buildroot}/%{_mandir}/man1/inputattach.1

%files
%defattr(-,root,root)
%doc COPYING NEWS README
%{_bindir}/evdev-joystick
%{_bindir}/ffcfstress
%{_bindir}/ffmvforce
%{_bindir}/ffset
%{_bindir}/fftest
%{_bindir}/jscal
%{_bindir}/jscal-restore
%{_bindir}/jscal-store
%{_bindir}/jstest
%{_mandir}/man1/ffcfstress.1%{ext_man}
%{_mandir}/man1/ffmvforce.1%{ext_man}
%{_mandir}/man1/ffset.1%{ext_man}
%{_mandir}/man1/fftest.1%{ext_man}
%{_mandir}/man1/jscal-restore.1%{ext_man}
%{_mandir}/man1/jscal-store.1%{ext_man}
%{_mandir}/man1/jscal.1%{ext_man}
%{_mandir}/man1/jstest.1%{ext_man}
%{_datadir}/joystick/
%{_libexecdir}/udev/js-set-enum-leds
%{_udevrulesdir}/80-stelladaptor-joystick.rules

%changelog
* Wed May 10 2017 sndirsch@suse.com
- no longer ship inputattach; we no longer support serial input
  devices (fate#323262)
* Tue Sep 27 2016 adam@mizerski.pl
- update to 1.5.1
  * Correctly install 80-stelladaptor-joystick.rules.
- update to 1.5.0
  * Add Stephen Anthony's evdev-joystick tool, with his agreement.
- set PREFIX for compilation too (bsc#1000895)
* Thu Feb 11 2016 mpluskal@suse.com
- Update to 1.4.9
  * inputattach supports a new mouseman4 mode for 4-button Logitech
    mice
  * inputattach supports EETI eGalaxTouch touchscreens
  * inputattach can provide a "ready" notification to systemd
  * js-set-enum-leds no longer uses hotplug.functions.
- Spec file cleanups and dependency updates
* Thu Feb 19 2015 p.drouand@gmail.com
- Update to version 1.4.8
  * Set up PS3 controller LEDs correctly
  * inputattach supports Wacom IV tablets on kernels 3.17 and greater
* Tue Feb 18 2014 adam@mizerski.pl
- update to 1.4.7
  * Correctly handle newer versions of the Spaceball firwmare (thanks to
    Andrew Basterfield <abasterfield@gmail.com>). This fixes Debian
    [#298494].
- updated the comment in spec file about when the spit took place.
* Mon Jun  3 2013 adam@mizerski.pl
- new package (version 1.4.6)
